#include<iostream>

using namespace std;

int indeksi(int ,int ,int [],int []);

int main(void)
{
    long int n,k,brojac = 0;

    cin>>n>>k;

    int niz[n],indeks[n];

    for(int i=0;i<n;++i)
        cin>>niz[i];

    for(int i=0;i<n;++i)
        if(indeksi(n,niz[i],indeks,niz)>=k)
            if(indeks[0] == i){
            brojac++;}
            
            cout<<brojac;

    for(int i=0;i<n;++i)
        if(indeksi(n,niz[i],indeks,niz)>=k)
            if(indeks[0] == i){
             cout<<niz[indeks[0]]<<" ";
            }

    return 0;
}
int indeksi (int n,int broj, int i[],int a[])
{
    int brojac=0;
    for(int *p=a,*q=i;p<a+n;p++){
        if((*p)==broj){
        *q=p-a;
        q++;
        brojac++;}  }
    return brojac;
}